# $Id: pe-rubygem-gpgme.spec 1339 2013-10-24 04:59:11Z rpmbuild $
# repo: RE
# restrictions:

%global p_vendor         pe
%global _name            rubygem-%{gem_name}
%global gemname          gpgme

%if 0%{?p_vendor:1}
  %global _orig_prefix %{_prefix}
  %global name_prefix  %{p_vendor}-

  %define _lib lib 

  # Override _prefix last, so we can get the _real_* locations.
  %define _prefix /opt/puppet
  %define _libdir %{_prefix}/lib
%endif

%global gemdir           %(PATH=/opt/puppet/bin:$PATH ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global ruby_sitelib     %(PATH=/opt/puppet/bin:$PATH ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%global ruby_sitearch    %(PATH=/opt/puppet/bin:$PATH ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")
%global geminstdir  %{gemdir}/gems/%{gemname}-%{version}

# 11503 -- Don't provide un-namespaced libraries inside rpm database
AutoReqProv: 0

Summary:    Ruby binding of GPGME
Name:       pe-rubygem-%{gemname}
Version:    2.0.2
Release:    %RErelease 1
Group:      Development/Languages
License:    LGPLv2.1+
URL:        http://github.com/ueno/ruby-gpgme
Source0:    http://rubygems.org/downloads/%{gemname}-%{version}.gem

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-%(id -un)

BuildRequires:  %{?name_prefix}ruby
BuildRequires:  %{?name_prefix}rubygems
BuildRequires: gnupg
BuildRequires: gnupg2-smime
BuildRequires: rpm-macros-razorsedge

Requires:   %{?name_prefix}ruby
Requires:   %{?name_prefix}rubygems

%description
Ruby-GPGME is a Ruby language binding of GPGME (GnuPG Made Easy). GnuPG Made
Easy (GPGME) is a library designed to make access to GnuPG easier for
applications. It provides a High-Level Crypto API for encryption, decryption,
signing, signature verification, and key management.

%prep
%setup -q -c -T

%build
%{__mkdir_p} .%{gemdir}
export PATH=/opt/puppet/bin:$PATH
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem install --local --install-dir .%{gemdir} \
            -V \
            --force %{SOURCE0}

%install
%{__mkdir_p} %{buildroot}%{gemdir}
%{__cp} -a .%{gemdir}/* \
        %{buildroot}%{gemdir}/

chmod -R g-w %{buildroot}%{geminstdir}

# move arch dependent files to %%ruby_sitearch
%{__mkdir_p} %{buildroot}%{ruby_sitearch}
%{__mv} %{buildroot}%{geminstdir}/lib/*.so %{buildroot}%{ruby_sitearch}/

# Remove the binary extension sources and build leftovers.
%{__rm} -rf %{buildroot}%{geminstdir}/ext
#%{__rm} -rf %{buildroot}%{geminstdir}/examples
#%{__rm} -rf %{buildroot}%{geminstdir}/test
%{__rm} -rf %{buildroot}%{geminstdir}/.require_paths

# remove all shebang
for f in $(find %{buildroot}%{geminstdir} -name \*.rb)
do
    sed -i -e '/^#!/d' $f
    chmod 0644 $f
done

# Get rid of lots o doc
%{__rm} -rf %{buildroot}%{geminstdir}/Rakefile
%{__rm} -rf %{buildroot}%{geminstdir}/.gemtest
%{__rm} -rf %{buildroot}%{gemdir}/doc/%{gemname}*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root, root,-)
%{gemdir}/gems/%{gemname}-%{version}/
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%{ruby_sitearch}/%{gemname}*


%changelog
* Wed Oct 16 2013 RazorsEdge Packaging <rpmpackaging@razorsedge.org> - 2.0.2-1
- First build.

